
using System;

namespace LiveUpdate
{
    /// <summary>
    /// 
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
	public delegate void LiveUpdateProgressChanged(object sender, LiveUpdateEventArgs e);
    /// <summary>
    /// 
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    public delegate void OnAppExit(object sender, EventArgs e);
    /// <summary>
    /// 
    /// </summary>
    /// <param name="e"></param>
    public delegate void UpdateHandler(UpdateInfo e);
    /// <summary>
    /// 
    /// </summary>
    /// <param name="e"></param>
    public delegate void ErrorHandler(UpdateErrorInfo e);
}
